/*
 * TeamStats by Mats Bovin (tspalm@mbovin.com)
 * v1.5.0 July 2003
 * Copyright (c) 2002-2003 Mats Bovin
 *
 * This file is part of TeamStats.
 *
 * TeamStats is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TeamStats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TeamStats; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _FUNCS_H_
#define _FUNCS_H_

#include <PalmOS.h>



// ------------------------------------------------------------------
//
// Conversion functions
//
// ------------------------------------------------------------------
void DoubleToStr(double flpNumber, Char* str, Int8 numFractDigits);
void DoubleToPercentStr(double flpNumber, Char* str, Int8 numFractDigits);

// ------------------------------------------------------------------
//
// UI functions
//
// ------------------------------------------------------------------
void* UIGetObjectPtr(UInt16 objIS);
void  UISelectDropDown(UInt16 listID, UInt16 triggerID, Int16 index);
void  UISetControlLabel(FormPtr formPtr, UInt16 ctlID, Char* newLabel);
void  UIInitCustomDrawTable(UInt16 tableID, Int16 rows, Int16 columns, TableDrawItemFuncPtr drawCallback);
void  UISetFieldText(UInt16 fieldID, Char* newText, Boolean redraw);
Int16 UIGetFieldIntValue(UInt16 fieldID);
void  UIDrawCharsLeft(const Char *chars, Coord x, Coord y);
void  UIDrawCharsRight(const Char *chars, Coord x, Coord y);
void  UIDrawCharsCenter(const Char *chars, Coord x, Coord y);
void  UISetScrollBarPos(UInt16 scrollBarID, Int16 newPos);

#endif