/*
 * TeamStats by Mats Bovin (tspalm@mbovin.com)
 * v1.5.0 July 2003
 * Copyright (c) 2002-2003 Mats Bovin
 *
 * This file is part of TeamStats.
 *
 * TeamStats is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TeamStats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TeamStats; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <PalmOS.h>
#include "TeamStats.h"

Err WriteDBData(const void* dataP, UInt32* sizeP, void* userDataP) DIALOG_SECTION;
void BeamCurrentDatabase() DIALOG_SECTION;
void OpenDatabase(UInt16 cardNo, LocalID dbID) DIALOG_SECTION;
void CloseCurrentDatabase() DIALOG_SECTION;
void DeleteCurrentDatabase() DIALOG_SECTION;
Err CreateDatabase(League *league) DIALOG_SECTION;
void UpdateSeasonLabel(Int8 yearDelta) DIALOG_SECTION;
Err SubmitCreateLeagueForm() DIALOG_SECTION;
Err EditCurrentDatabase(League *league, Boolean isLeagueNameChanged) DIALOG_SECTION;
Err SubmitEditLeagueForm() DIALOG_SECTION;
void InitEditLeagueForm() DIALOG_SECTION;
void FreeEditLeagueForm() DIALOG_SECTION;
Boolean EditLeagueFormEvtHandler(EventPtr event) DIALOG_SECTION;
Int16 GetTodaysMatches(DateType* date, Char** matchStrings) DIALOG_SECTION;
void SwapLeagues(Int16 league1, Int16 league2) DIALOG_SECTION;
void MoveLeague(Int16 delta) DIALOG_SECTION;
void InitLeagueOrderForm() DIALOG_SECTION;
void FreeLeagueOrderForm() DIALOG_SECTION;
Boolean LeagueOrderFormEvtHandler(EventPtr event) DIALOG_SECTION;
void FreeTodaysString() DIALOG_SECTION;
void InitTodaysMatchesForm() DIALOG_SECTION;
void FreeTodaysMatchesForm() DIALOG_SECTION;
void UpdateTodaysMatchesForm() DIALOG_SECTION;
Boolean TodaysMatchesFormEvtHandler(EventPtr event) DIALOG_SECTION;
