/*
 * TeamStats by Mats Bovin (mats@mbovin.com)
 * v1.4.0 November 2002
 * Copyright (c) 2002 Mats Bovin
 *
 * This file is part of TeamStats.
 *
 * TeamStats is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TeamStats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TeamStats; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.mbovin.ts.tools;

import java.text.*;
import java.util.*;

import com.mbovin.ts.*;


/**
 * Class for adding some extra functionality to a Match object
 */
public class MatchSKV extends com.mbovin.ts.Match
{
    private Date realDate_;
    private int  round_ = -1;


    /** Copy constructor */
    public MatchSKV(Match m)
    {
        league_      = m.getLeague();
        id_          = m.getId();
        homeId_      = m.getHomeId();
        awayId_      = m.getAwayId();
        hGoals_      = m.getHGoals();
        aGoals_      = m.getAGoals();
        suddenDeath_ = m.isSuddenDeath();
        date_        = m.getDate();
    }


    /** Returns true if this match has been played (has a result) */
    public boolean isPlayed()
    {
        return ((hGoals_ > -1) && (aGoals_ > -1));
    }

    /** Returns the date for this match. The date can be null. */
    public Date getRealDate()
    {
        return realDate_;
    }

    /** Returns the round this match. The round is -1 if not known. */
    public int getRound()
    {
        return round_;
    }


    /** Sets the real date. */
    public void setRealDate(Date newDate)
    {
        realDate_ = newDate;
    }

    /** Sets the round. */
    public void setRound(int newRound)
    {
        round_ = newRound;
    }

}
