/*
 * TeamStats by Mats Bovin (tspalm@mbovin.com)
 * v1.5.0 July 2003
 * Copyright (c) 2002-2003 Mats Bovin
 *
 * This file is part of TeamStats.
 *
 * TeamStats is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TeamStats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TeamStats; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


// ------------------------------------------------------------------
// forms
// ------------------------------------------------------------------
#define formID_noleague      1000
#define formID_table         1001
#define formID_matches       1002
#define formID_team          1004
#define formID_league        1003
#define formID_createLeague  1005
#define formID_editLeague    1006
#define formID_editTeams     1007
#define formID_editFixtures  1008
#define formID_todaysMatches 1010
#define formID_leagueOrder   1011
#define formID_selectRound   1012
#define formID_about         1013

// ------------------------------------------------------------------
// main navigation
// ------------------------------------------------------------------
#define groupID_mode     10
#define popTrigID_league 1000
#define popListID_league 1001
#define popTrigID_season 1002
#define popListID_season 1003
#define btnID_table      1004
#define btnID_matches    1005
#define btnID_team       1006
#define btnID_league     1007

// ------------------------------------------------------------------
// table form
// ------------------------------------------------------------------
#define popTrigID_matches  2000
#define popListID_matches  2001
#define popTrigID_rounds   2002
#define popListID_rounds   2003
#define fieldID_roundCount 2004
#define btnID_roundUpdate  2005
#define scrollID_table     2007
#define selectTrigID_table_view 2008

// ------------------------------------------------------------------
// match form
// ------------------------------------------------------------------
#define groupID_matchmode 20
#define btnID_roundBack   3003
#define btnID_roundFwd    3004
#define labelID_round     3005
#define scrollID_matches  3013
#define fieldID_homeGoals 3014 // 3014-3024
#define fieldID_awayGoals 3025 // 3025-3035

// ------------------------------------------------------------------
// team form
// ------------------------------------------------------------------
#define popTrigID_team_team    7000
#define popListID_team_team    7001
#define popTrigID_team_matches 7002
#define popListID_team_matches 7003
#define selectTrigID_team_mode 7004
#define scrollID_team_matches  7005

// ------------------------------------------------------------------
// create/edit league form
// ------------------------------------------------------------------
#define groupID_winPoints   20
#define fieldID_leaguename  4000
#define labelID_year        4001
#define btnID_yearUp        4002
#define btnID_yearDown      4003
#define cbID_split          4004
#define fieldID_teamCount   4005
#define btnID_3point        4006
#define btnID_2point        4007
#define popTrigID_tableSort 4008
#define popTrigID_line0     4009
#define popTrigID_line1     4010
#define popTrigID_line2     4011
#define popTrigID_line3     4012
#define popListID_tableSort 4013
#define popListID_line0     4014
#define popListID_line1     4015
#define popListID_line2     4016
#define popListID_line3     4017
#define btnID_OK            4018
#define btnID_Cancel        4019

// ------------------------------------------------------------------
// edit teams form
// ------------------------------------------------------------------
#define listID_teams       5000
#define fieldID_teamname   5001
#define fieldID_teampoints 5002
#define btnID_save         5003
#define btnID_close        5004

// ------------------------------------------------------------------
// edit fixtures form
// ------------------------------------------------------------------
#define selectTrigID_date  6000
#define popTrigID_hometeam 6001
#define popListID_hometeam 6002
#define popTrigID_awayteam 6003
#define popListID_awayteam 6004
#define listID_fixtures    6005
#define btnID_addMatch     6006
#define btnID_addRound     6007

// ------------------------------------------------------------------
// todays matches form
// ------------------------------------------------------------------
#define btnID_dayBack 7000
#define btnID_dayFwd  7001

// ------------------------------------------------------------------
// league order form
// ------------------------------------------------------------------
#define listID_leagues   8000
#define btnID_moveUp     8001
#define btnID_moveDown   8002

// ------------------------------------------------------------------
// select round
// ------------------------------------------------------------------
#define tableID_rounds 9001

// ------------------------------------------------------------------
// menus
// ------------------------------------------------------------------
#define menuID_main                 1000
#define menuitemID_main_today       1001
#define menuitemID_main_create      1002
#define menuitemID_main_delete      1003
#define menuitemID_main_beam        1004
#define menuitemID_main_league      1005
#define menuitemID_main_teams       1006
#define menuitemID_main_fixtures    1007
#define menuitemID_main_about       1008

#define menuID_noleague            2000
#define menuitemID_noleague_create 2001
#define menuitemID_noleague_about  2002

#define menuID_fixtures                 3000
#define menuitemID_fixtures_addround    3001
#define menuitemID_fixtures_deleteround 3002
#define menuitemID_fixtures_deletematch 3003


// ------------------------------------------------------------------
// alerts
// ------------------------------------------------------------------
#define alertID_deleteLeague 1001
#define alertID_errGeneral   1002
